Flyspray - The bug killer!

  • Status Closed
  • Percent Complete
    100%
  • Task Type Bug Report
  • Category Backend/Core
  • Assigned To No-one
  • Operating System All
  • Severity Low
  • Priority Very Low
  • Reported Version 1.0 devel (github master)
  • Due in Version Undecided
  • Due Date Undecided
  • Votes 1
  • Private
Attached to Project: Flyspray - The bug killer!
Opened by Eric Blade - 18.11.2010
Last edited by peterdd - 24.09.2015

FS#1658 - View dependency graph errors out

An internal error occured. You can read the details of the error below. The cause is either a bug or an improperly configured system.

Location: 65@includes\external\Zend\Rest\Client\Result.php

require_once(Zend/Rest/Client/Result/Exception.php): failed to open stream: No such file or director

Closed by  peterdd
24.09.2015 20:46
Reason for closing:  Fixed in devel
Additional comments about closing:  

current flyspray dev version doesn't use the dot program anymore.

Colt Jones commented on 03.03.2011 18:05

Confirmed with fresh install of 0.9.9.6

Colt Jones commented on 04.03.2011 15:37

Got this one solved. The exceptions that is being thrown is due to the fact that we did not have the "dot" executable in the flyspray.conf.php.

Line 21 should read something like:

dot_path = "/usr/bin/dot"

The path may differ on your distro. Once you install this all should work.

This should also be fixed in the code due to the fact that the Zend exception classes needed to handle this exception are not included in the install by default. Once I copied over the Exception classes from the 1.7.0 release of Zend. The exception bubbled up properly all the way to the default handler. This should be caught and an error presented to the user that there is no install of graphviz configured for use.

Loading...

Available keyboard shortcuts

Tasklist

Task Details

Task Editing